Skip to main content
GET
/
vaults
List vaults
curl --request GET \
  --url https://api.anchorage-staging.com/v2/vaults \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
      "name": "Long Hold Vault",
      "description": "For long-term investments",
      "type": "VAULT",
      "accountName": "Account name",
      "assets": [
        {
          "walletId": "3d293c0d64c703023692216e9b4f5280",
          "assetType": "BTC",
          "availableBalance": {
            "quantity": "10.00000000",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "97510.1"
          },
          "totalBalance": {
            "quantity": "10.45234733",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "101920.94"
          },
          "stakedBalance": {
            "quantity": "32.00000000",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "312032.32"
          },
          "unclaimedBalance": {
            "quantity": "0",
            "assetType": "BTC",
            "currentPrice": "9751.01",
            "currentUSDValue": "0"
          },
          "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
          "vaultName": "Long Hold Vault"
        }
      ]
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

A list of vaults and their metadata

data
VaultDetails · object[]
required
page
Page · object
required

Pagination info